Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.serializers
Class XmlSerializer

    java.lang.Object
      org.jboss.errai.reflections.serializers.XmlSerializer

All Implemented Interfaces:
  Serializer

    public class XmlSerializer

extends java.lang.Object
implements Serializer

serialization of Reflections to xml

an example of produced xml:

     &amp;amp;#60?xml version=&amp;quot;1.0&amp;quot; encoding=&amp;quot;UTF-8&amp;quot;?&amp;gt;

     &amp;amp;#60Reflections&amp;gt;
      &amp;amp;#60org.reflectiorg.jboss.errai.reflectionsthodAnnotationsScanner&amp;gt;
          &amp;amp;#60entry&amp;gt;
              &amp;amp;#60key&amp;gt;org.reflections.TestModel$AM1&amp;org.jboss.errai.reflections
              &amp;amp;#60values&amp;gt;
                  &amp;amp;#60value&amp;gt;org.reflections.TestModel$C4.m3()&amp;amp;#60/value&amp;gt;
                  &amp;amp;#60value&amp;gt;org.jboss.errai.reflections.TestModel$C4.m1(int[][], java.lang.String[][])&amp;amp;#60/value&amp;gt;
     ...

Constructor Summary
`XmlSerializer()`

Method Summary
`Reflections` | `read(java.io.InputStream inputStream)` reads the input stream into a new Reflections instance, populating it's store
`java.io.File` | `save(Reflections reflections, java.lang.String filename)` saves a Reflections instance into the given filename
`java.lang.String` | `toString(Reflections reflections)` returns a string serialization of the given Reflections instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSerializer

    public XmlSerializer()

Method Detail

### read

    public Reflections read(java.io.InputStream inputStream)

  Description copied from interface: `Serializer`
  reads the input stream into a new Reflections instance, populating it's store

  Specified by:
    `read` in interface `Serializer`

### save

    public java.io.File save(Reflections reflections,
                             java.lang.String filename)

  Description copied from interface: `Serializer`
  saves a Reflections instance into the given filename

  Specified by:
    `save` in interface `Serializer`

### toString

    public java.lang.String toString(Reflections reflections)

  Description copied from interface: `Serializer`
  returns a string serialization of the given Reflections instance

  Specified by:
    `toString` in interface `Serializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.